Subject: [PATCH 25/25] ARM: pm: omap34xx: convert to generic suspend/resume support

From: [email-masked] (Kevin Hilman)
Date: Thu, 23 Jun 2011 12:05:28 -0700

Hi Russell,

Russell King - ARM Linux <[email-masked]> writes:

> Convert sa11x0 to use the generic CPU suspend/resume support, rather
> than implementing its own version.  Tested on 3430 LDP.
>
> Signed-off-by: Russell King <[email-masked]>

I tested this on 3430/n900 and 3530/Overo and it worked fine for
retention, but not for off.

Testing with off-mode, I found the MULTI_CPU path to be broken in
cpu_suspend (jumping to zero.)  Rebuilding for only OMAP3, it worked
fine for full-chip retention in suspend and idle as well as full-chip
off in suspend and idle.

I'm digging into the MULTI_CPU path now.

Kevin